'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('./styledComponents');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _ref2 = _react2.default.createElement(_styledComponents.Fadeout, null);

var _ref3 = _react2.default.createElement(_styledComponents.FadeoutBottom, null);

var TabsContainer = function (_Component) {
  (0, _inherits3.default)(TabsContainer, _Component);

  function TabsContainer() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, TabsContainer);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = TabsContainer.__proto__ || (0, _getPrototypeOf2.default)(TabsContainer)).call.apply(_ref, [this].concat(args))), _this), _this.tabClick = function (index) {
      _this.props.onChange(index);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(TabsContainer, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          content = _props.content,
          activeIndex = _props.activeIndex,
          tabs = _props.tabs;

      return _react2.default.createElement(
        _styledComponents.Container,
        null,
        _react2.default.createElement(
          _styledComponents.TabHeader,
          null,
          tabs.map(function (tab, index) {
            return _react2.default.createElement(
              _styledComponents.TabHeaderItem,
              { active: activeIndex === index, onClick: function onClick() {
                  return _this2.tabClick(index);
                } },
              tab
            );
          })
        ),
        _ref2,
        _react2.default.createElement(
          _styledComponents.TabContent,
          null,
          _react2.default.createElement(
            _styledComponents.TabScrollContent,
            null,
            content
          )
        ),
        _ref3
      );
    }
  }]);
  return TabsContainer;
}(_react.Component);

TabsContainer.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Active tab
   */
  activeIndex: _propTypes2.default.number.isRequired,
  /**
   * Tab content
   */
  content: _propTypes2.default.node.isRequired,
  /**
   * Tab change callback
   */
  onChange: _propTypes2.default.func.isRequired,
  /**
   * List of tab names
   */
  tabs: _propTypes2.default.array.isRequired
} : {};

TabsContainer.defaultProps = {
  activeIndex: 0,
  content: null,
  tabs: [],
  onChange: function onChange() {}
};

exports.default = TabsContainer;