'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _text = require('./text');

var _text2 = _interopRequireDefault(_text);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (defaultTheme) {
  return (0, _extends3.default)({}, defaultTheme, {
    width: 24,
    height: 24,
    text: (0, _text2.default)(defaultTheme),
    checked: {
      default: {
        border: {
          color: defaultTheme.colors.brand100
        },
        background: {
          color: defaultTheme.colors.brand100
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      hover: {
        border: {
          color: defaultTheme.colors.brand200
        },
        background: {
          color: defaultTheme.colors.brand200
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      focus: {
        border: {
          color: defaultTheme.colors.brand300
        },
        background: {
          color: defaultTheme.colors.brand300
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      disabled: {
        border: {
          color: defaultTheme.colors.grey100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      error: {
        border: {
          color: defaultTheme.colors.red100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      }
    },
    unchecked: {
      default: {
        border: {
          color: defaultTheme.colors.grey200
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      hover: {
        border: {
          color: defaultTheme.colors.grey400
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      focus: {
        border: {
          color: defaultTheme.colors.brand100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      disabled: {
        border: {
          color: defaultTheme.colors.grey100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      },
      error: {
        border: {
          color: defaultTheme.colors.red100
        },
        background: {
          color: defaultTheme.colors.white
        },
        text: {
          color: defaultTheme.colors.grey300
        }
      }
    }
  });
};