"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

exports.default = function (defaultTheme) {
  return (0, _extends3.default)({}, defaultTheme, {
    navigation: {
      paddingLeft: defaultTheme.spacing.paddingHorizontal,
      paddingRight: defaultTheme.spacing.paddingHorizontal,
      width: 320,
      backgroundColor: defaultTheme.colors.grey100,
      borderRightWidth: 1,
      borderRightColor: defaultTheme.colors.grey200
    },
    content: {
      paddingTop: 30,
      paddingBottom: 48,
      paddingLeft: 60,
      paddingRight: 60,
      minWidth: 320,
      maxWidth: 460
    }
  });
};

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }