import _extends from "babel-runtime/helpers/extends";
export default (defaultTheme => _extends({}, defaultTheme, {
  paddingVertical: defaultTheme.spacing.paddingVertical,
  paddingHorizontal: defaultTheme.spacing.paddingHorizontal,
  marginVertical: defaultTheme.spacing.marginVertical,
  borderColor: defaultTheme.colors.grey200,
  labelColor: defaultTheme.colors.grey400,
  fill: defaultTheme.colors.white,
  error: {
    color: defaultTheme.colors.red100,
    borderColor: defaultTheme.colors.red100
  },
  disabled: {
    borderColor: defaultTheme.colors.grey200
  },
  focus: {
    borderColor: defaultTheme.colors.brand100
  },
  hover: {
    borderColor: defaultTheme.colors.grey400
  }
}));