import React from 'react';
import { shallow } from 'enzyme';
import theme from '../Tokens';

export const shallowWithTheme = (Component, componentTheme = x => x) => {
  return shallow(React.cloneElement(Component, { theme: componentTheme(theme) }));
};

export default shallowWithTheme;