'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shallowWithTheme = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _Tokens = require('../Tokens');

var _Tokens2 = _interopRequireDefault(_Tokens);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var shallowWithTheme = exports.shallowWithTheme = function shallowWithTheme(Component) {
  var componentTheme = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function (x) {
    return x;
  };

  return (0, _enzyme.shallow)(_react2.default.cloneElement(Component, { theme: componentTheme(_Tokens2.default) }));
};

exports.default = shallowWithTheme;