'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  padding-bottom: ', 'px;\n  color: ', ';\n  ', ';\n  ', ';\n  &:first-child {\n    padding-top: ', 'px;\n  }\n  border-bottom: 1px solid ', ';\n'], ['\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  padding-bottom: ', 'px;\n  color: ', ';\n  ', ';\n  ', ';\n  &:first-child {\n    padding-top: ', 'px;\n  }\n  border-bottom: 1px solid ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _utils = require('../utils');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ListBlockComponent = reset.div(_templateObject, function (p) {
  return p.theme.typography.fontFamily;
}, function (p) {
  return p.theme.typography.body.fontSize;
}, function (p) {
  return p.theme.typography.body.lineHeight;
}, function (p) {
  return p.theme.typography.body.paddingBottom;
}, function (p) {
  return p.theme.typography.body.color;
}, function (props) {
  return props.align && 'text-align: ' + props.align + ';';
}, function (props) {
  return props.noWrap && _utils.noWrap;
}, function (p) {
  return p.theme.typography.body.paddingTop;
}, function (p) {
  return p.theme.colors.grey200;
});

var ListBlock = function ListBlock(props) {
  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: function theme(x) {
        return x;
      } },
    _react2.default.createElement(ListBlockComponent, props)
  );
};

ListBlock.propTypes = process.env.NODE_ENV !== "production" ? {
  align: _propTypes2.default.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  children: _propTypes2.default.node,
  color: _propTypes2.default.string,
  gutterBottom: _propTypes2.default.bool,
  noWrap: _propTypes2.default.bool
} : {};

ListBlock.defaultProps = {
  align: 'inherit',
  color: 'default',
  gutterBottom: false,
  noWrap: false
};

exports.default = ListBlock;