'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SelectComponents = require('./SelectComponents');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dropdown = function Dropdown(props) {
  return _react2.default.createElement(_SelectComponents.SelectContainer, props);
};

Dropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  isOpen: _propTypes2.default.bool.isRequired,
  onClick: _propTypes2.default.func.isRequired,
  placeholder: _propTypes2.default.string,
  value: _propTypes2.default.string.isRequired
} : {};

Dropdown.defaultProps = {
  placeholder: 'Choose',
  value: null
};

exports.default = Dropdown;