'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FadeoutBottom = exports.Fadeout = exports.TabScrollContent = exports.TabContent = exports.TabHeaderItem = exports.TabHeader = exports.Container = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  flex-direction: column;\n  height: 100%;\n  position: relative;\n'], ['\n  display: flex;\n  flex-direction: column;\n  height: 100%;\n  position: relative;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  white-space: nowrap;\n  flex-grow: 0;\n  flex-shrink: 0;\n  width: 100%;\n  overflow-x: auto;\n  border-bottom: 1px solid #dedede;\n'], ['\n  white-space: nowrap;\n  flex-grow: 0;\n  flex-shrink: 0;\n  width: 100%;\n  overflow-x: auto;\n  border-bottom: 1px solid #dedede;\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n  cursor: pointer;\n  display: inline-block;\n  padding: 0 10px;\n  flex: 1;\n  ', ';\n'], ['\n  cursor: pointer;\n  display: inline-block;\n  padding: 0 10px;\n  flex: 1;\n  ', ';\n']),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(['\n  flex: 1;\n  display: flex;\n  flex-direction: column;\n'], ['\n  flex: 1;\n  display: flex;\n  flex-direction: column;\n']),
    _templateObject5 = (0, _taggedTemplateLiteral3.default)(['\n  max-height: 100%;\n  overflow-y: auto;\n  overflow-x: hidden;\n  height: 100%;\n  padding: 18px 0;\n'], ['\n  max-height: 100%;\n  overflow-y: auto;\n  overflow-x: hidden;\n  height: 100%;\n  padding: 18px 0;\n']),
    _templateObject6 = (0, _taggedTemplateLiteral3.default)(['\n  position: absolute;\n  top: 51px;\n  height: 36px;\n  background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);\n  width: 100%;\n  z-index: 10;\n'], ['\n  position: absolute;\n  top: 51px;\n  height: 36px;\n  background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);\n  width: 100%;\n  z-index: 10;\n']),
    _templateObject7 = (0, _taggedTemplateLiteral3.default)(['\n  position: absolute;\n  bottom: 0;\n  height: 36px;\n  background: linear-gradient(to top, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);\n  width: 100%;\n  z-index: 10;\n'], ['\n  position: absolute;\n  bottom: 0;\n  height: 36px;\n  background: linear-gradient(to top, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);\n  width: 100%;\n  z-index: 10;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Text = require('../Text');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var TabHeader = exports.TabHeader = _styledComponents2.default.div(_templateObject2);

var TabHeaderItemContainer = _styledComponents2.default.div(_templateObject3, function (props) {
  return props.active && 'border-bottom: 2px solid blue;';
});
var TabHeaderItem = exports.TabHeaderItem = function TabHeaderItem(props) {
  return _react2.default.createElement(
    TabHeaderItemContainer,
    { active: props.active },
    _react2.default.createElement(_Text.Body, props)
  );
};

TabHeaderItem.propTypes = process.env.NODE_ENV !== "production" ? {
  active: _propTypes2.default.bool
} : {};

var TabContent = exports.TabContent = _styledComponents2.default.div(_templateObject4);

var TabScrollContent = exports.TabScrollContent = _styledComponents2.default.div(_templateObject5);

var Fadeout = exports.Fadeout = _styledComponents2.default.div(_templateObject6);

var FadeoutBottom = exports.FadeoutBottom = _styledComponents2.default.div(_templateObject7);