"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (defaultTheme) {
  return (0, _extends3.default)({}, defaultTheme, {
    paddingVertical: defaultTheme.spacing.paddingVertical,
    paddingHorizontal: defaultTheme.spacing.paddingHorizontal,
    marginVertical: defaultTheme.spacing.marginVertical,
    borderColor: defaultTheme.colors.grey200,
    labelColor: defaultTheme.colors.grey400,
    fill: defaultTheme.colors.white,
    error: {
      color: defaultTheme.colors.red100,
      borderColor: defaultTheme.colors.red100
    },
    disabled: {
      borderColor: defaultTheme.colors.grey200
    },
    focus: {
      borderColor: defaultTheme.colors.brand100
    },
    hover: {
      borderColor: defaultTheme.colors.grey400
    }
  });
};