import _extends from "babel-runtime/helpers/extends";
export default function (defaultTheme) {
  return _extends({}, defaultTheme, {
    navigation: {
      paddingLeft: defaultTheme.spacing.paddingHorizontal,
      paddingRight: defaultTheme.spacing.paddingHorizontal,
      width: 320,
      backgroundColor: defaultTheme.colors.grey100,
      borderRightWidth: 1,
      borderRightColor: defaultTheme.colors.grey200
    },
    content: {
      paddingTop: 30,
      paddingBottom: 48,
      paddingLeft: 60,
      paddingRight: 60,
      minWidth: 320,
      maxWidth: 460
    }
  });
}